include $(TOPDIR)/rules.mk

PKG_NAME:=nlohmann-json
PKG_VERSION:=3.11.2
PKG_RELEASE:=1

PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://github.com/nlohmann/json.git
PKG_SOURCE_VERSION:=v$(PKG_VERSION)
PKG_MIRROR_HASH:=skip

PKG_LICENSE:=MIT
PKG_LICENSE_FILES:=LICENSE.MIT
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)

include $(INCLUDE_DIR)/package.mk

define Package/nlohmann-json
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=JSON for Modern C++ (nlohmann/json)
endef

define Package/nlohmann-json/description
  JSON for Modern C++ is a single-header C++ library for working with JSON.
endef

define Build/Compile
	# Header-only, nothing to compile
	true
endef

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include/nlohmann
	$(CP) $(PKG_BUILD_DIR)/single_include/nlohmann/json.hpp $(1)/usr/include/nlohmann/
endef

define Package/nlohmann-json/install
	true
endef

$(eval $(call BuildPackage,nlohmann-json))
